Do not speak Portuguese? Translate this site with Google or Bing Translator

Canonical lançou atualização do kernel para o Ubuntu 19.10 e 18.04

A Canonical lançou atualização do kernel para o Ubuntu 19.10 e 18.04 para sistemas que estão usando o kernel 5.3. Confira os detalhes desse update e veja como instalar.

Após o lançamento das atualizações do kernel para o Ubuntu 18.04 LTS e 16.04 LTS, bem como o Ubuntu 20.04 LTS, a Canonical agora também publicou uma atualização de segurança do kernel para os sistemas Ubuntu 19.10 (Eoan Ermine) e Ubuntu 18.04.4 LTS (Bionic Beaver) que usam o kernel Linux 5.3 corrigir oito vulnerabilidades.

Sim. A Canonical publicou outro patch de segurança, desta vez uma atualização padrão do kernel para os sistemas Ubuntu 19.10 e Ubuntu 18.04.4 LTS executando a série de kernel Linux 5.3.

Canonical lançou atualização do kernel para o Ubuntu 19.10 e 18.04 com kernel 5.3

Canonical lançou atualização do kernel para o Ubuntu 19.10 e 18.04
Canonical lançou atualização do kernel para o Ubuntu 19.10 e 18.04

Os problemas corrigidos nesta atualização de segurança são uma condição de corrida (CVE-2019-19769) descoberta por Tristan Madani na implementação de bloqueio de arquivo do kernel do Linux, que pode permitir que um invasor local exponha informações confidenciais ou cause uma negação de serviço.

Outra falha (CVE-2019-19377), descoberta na implementação do sistema de arquivos Btrfs do kernel Linux que poderia permitir que um invasor causasse uma negação de serviço (falha do sistema) usando uma imagem do sistema de arquivos especialmente criada, também foi corrigida.

Também está corrigida uma vulnerabilidade (CVE-2020-11494) descoberta no driver de interface CAN serial do kernel do Linux que pode permitir que um invasor local exponha informações confidenciais (memória do kernel) e uma race condition (CVE-2020-12657) que pode levar a uma vulnerabilidade use-after-free, que foi descoberta na camada de bloco do kernel do Linux e poderia permitir que um invasor local travasse o sistema ou executasse código arbitrário.

Outro problema de segurança (CVE-2020-11565) foi descoberto no sistema de arquivos de memória virtual tmpfs do kernel Linux. Isso pode permitir que um invasor local possa especificar opções de montagem para causar uma negação de serviço (falha do sistema).

Por último, mas não menos importante, a atualização de segurança corrige várias falhas (CVE-2020-11608, CVE-2020-11609 e CVE-2020-11668) encontradas nos drivers para os dispositivos Câmera OV51x USB, Câmera STV06XX USB e Câmera Xirlink C-It USB isso pode permitir que um invasor fisicamente próximo cause uma negação de serviço (falha no sistema).

Todos os usuários do Ubuntu 18.04 e 16.04 LTS devem atualizar

Se você estiver usando o Ubuntu 19.10 ou Ubuntu 18.04.4 LTS com o kernel Linux 5.3, é recomendável atualizar os pacotes do kernel o mais rápido possível.

Para sistemas Ubuntu 19.10 de 64 bits, a nova versão do kernel é o linux-image 5.3.0-53.47, enquanto que para os sistemas Ubuntu 18.04.4 LTS de 64 bits é o linux-image 5.3.0-53.47~18.04.1.

Também estão disponíveis atualizações para os sabores was, gap, Ike, oracle, kvm, snapdragon e raspi2.

Para atualizar suas instalações para as novas versões do kernel, execute os comandos sudo apt-get update && sudo apt-get dist-upgrade em um emulador de terminal.

Certifique-se de reiniciar o sistema após a instalação da nova versão do kernel e também reinstale os módulos de kernel de terceiros que você instalou.

Mais detalhes sobre o processo de atualização podem ser encontrados em https://wiki.ubuntu.com/Security/Upgrades.

O que está sendo falado no blog

Veja mais artigos publicados neste dia…

Compartilhe:
Sobre o Edivaldo Brito

Edivaldo Brito é analista de sistemas, gestor de TI, blogueiro e também um grande fã de sistemas operacionais, banco de dados, software livre, redes, programação, dispositivos móveis e tudo mais que envolve tecnologia.

Deixe um comentário

Esse site utiliza o Akismet para reduzir spam. Aprenda como seus dados de comentários são processados.